Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686005 - DISA openscap remediation playbook failing on correcting file permissions with RPM.
Summary: DISA openscap remediation playbook failing on correcting file permissions wit...
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.6
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 14:03 UTC by Abhijeet Joshi
Modified: 2019-03-25 17:50 UTC (History)
3 users (show)

Fixed In Version: scap-security-guide-0.1.43-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Watson Yuuma Sato 2019-03-19 10:57:37 UTC
This has been fixed by https://github.com/ComplianceAsCode/content/pull/3328.
And further updated by https://github.com/ComplianceAsCode/content/pull/3341 and https://github.com/ComplianceAsCode/content/pull/3598.

In scap-security-guide-0.1.43 the playbook doesn't fail anymore.

Comment 4 Watson Yuuma Sato 2019-03-19 16:01:13 UTC
This patch is also required to fix a bug with rpm command using --setperms with --quiet.
https://github.com/ComplianceAsCode/content/pull/4205


Note You need to log in before you can comment on or make changes to this bug.